Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	X.Org X11 libXxf86dga runtime library
Name: 		libXxf86dga
Version: 	1.1.2
Release: 	1
License: 	MIT/X11
Group: 		System/Libraries
URL: 		http://www.x.org
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	i686

Source0: 	http://xorg.freedesktop.org/releases/individual/lib/%{name}-%{version}.tar.bz2

BuildRequires: 	pkg-config
BuildRequires: 	xorg-x11-proto-devel

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel

%description
X.Org X11 libXxf86dga runtime library

%package devel
Summary: 	X.Org X11 libXxf86dga development package
Group: 		Development/Libraries
Requires(pre): 	xorg-x11-filesystem >= 0.99.2-3
Requires: 	%{name} = %{version}-%{release}

# needed by xxf86dga.pc
Requires: 	xorg-x11-proto-devel

%description devel
X.Org X11 libXxf86dga development package

%prep
%setup -q -n %{name}-%{version}

# Disable static library creation by default.
%define with_static 0

%build
%configure \
%if ! %{with_static}
	--disable-static
%endif
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# We intentionally don't ship *.la files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

# strip debug symbols
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog
%{_libdir}/libXxf86dga.so.1
%{_libdir}/libXxf86dga.so.1.*

%files devel
%defattr(-,root,root,-)
%if %{with_static}
%{_libdir}/libXxf86dga.a
%endif
%{_libdir}/libXxf86dga.so
%{_libdir}/pkgconfig/xxf86dga.pc
%{_includedir}/X11/extensions/Xxf86dga.h
%{_includedir}/X11/extensions/xf86dga1.h
%{_mandir}/man3/XDGA.3.gz
%{_mandir}/man3/XDGAChangePixmapMode.3.gz
%{_mandir}/man3/XDGACloseFramebuffer.3.gz
%{_mandir}/man3/XDGACopyArea.3.gz
%{_mandir}/man3/XDGACopyTransparentArea.3.gz
%{_mandir}/man3/XDGACreateColormap.3.gz
%{_mandir}/man3/XDGAFillRectangle.3.gz
%{_mandir}/man3/XDGAGetViewportStatus.3.gz
%{_mandir}/man3/XDGAInstallColormap.3.gz
%{_mandir}/man3/XDGAKeyEventToXKeyEvent.3.gz
%{_mandir}/man3/XDGAOpenFramebuffer.3.gz
%{_mandir}/man3/XDGAQueryExtension.3.gz
%{_mandir}/man3/XDGAQueryModes.3.gz
%{_mandir}/man3/XDGAQueryVersion.3.gz
%{_mandir}/man3/XDGASelectInput.3.gz
%{_mandir}/man3/XDGASetClientVersion.3.gz
%{_mandir}/man3/XDGASetMode.3.gz
%{_mandir}/man3/XDGASetViewport.3.gz
%{_mandir}/man3/XDGASync.3.gz
%{_mandir}/man3/XF86DGA.3.gz
%{_mandir}/man3/XFree86-DGA.3.gz

%changelog
* Wed Dec 08 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.1.2-1
- version update
* Sat Aug 14 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.1.1-2
- rebuilt
* Mon Oct 19 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.1.1-1
- version update
* Fri May 21 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.0.2-4
- rebuilt
* Fri Feb 27 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.0.2-3
- rebuilt, updated dependencies
* Sat Sep 06 2008 Stefan Gottwald <gotti@ccux-linux.de> 1.0.2-2
- Rebuild against new xserver 1.5.0
* Sat Sep 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.2-1
- Version update
* Sun Feb 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.1-2
- rebuilt for xorg 7.2
* Sat Jul 01 2006 Christian Metzen <metzench@ccux-linux.de> 1.0.1-1
- Initial release
